/* 
 * enPathia
 * Eneso Tecnología de Adaptación, S.L. 
 */

#include "ehotkey.h"
#include "calibration.h"
#include "enpathia.h"
#include "help.h"
#include "menu.h"
#include "window.h"
#include "hotkeys.h"

#define CALIBRATE_ID		100
#define CALIBRATE_MODS		(EHK_MOD_CTRL | EHK_MOD_ALT | EHK_MOD_SHIFT)
#define CALIBRATE_KEY		'C'

#define CONFIG_ID			200
#define CONFIG_MODS			(EHK_MOD_CTRL | EHK_MOD_ALT | EHK_MOD_SHIFT)
#define CONFIG_KEY			'G'

#define HELP_ID				300
#define HELP_MODS			(EHK_MOD_CTRL | EHK_MOD_ALT | EHK_MOD_SHIFT)
#define HELP_KEY			'H'

#define MENU_DISABLE_ID		400
#define MENU_DISABLE_MODS	(EHK_MOD_CTRL | EHK_MOD_ALT | EHK_MOD_SHIFT)
#define MENU_DISABLE_KEY	'N'

#define MENU_ENABLE_ID		500
#define MENU_ENABLE_MODS	(EHK_MOD_CTRL | EHK_MOD_ALT | EHK_MOD_SHIFT)
#define MENU_ENABLE_KEY		'M'

static void
ehotkey_cb	(gint id);


	void
init_hotkeys (void)
{
	ehotkey_init (ehotkey_cb);

	ehotkey_register (CALIBRATE_ID, CALIBRATE_MODS, CALIBRATE_KEY);
	ehotkey_register (CONFIG_ID, CONFIG_MODS, CONFIG_KEY);
	ehotkey_register (HELP_ID, HELP_MODS, HELP_KEY);
	ehotkey_register (MENU_DISABLE_ID, MENU_DISABLE_MODS, MENU_DISABLE_KEY);
	ehotkey_register (MENU_ENABLE_ID, MENU_ENABLE_MODS, MENU_ENABLE_KEY);
}

	static void
ehotkey_cb (gint id)
{
	switch (id)
	{
		case CALIBRATE_ID:
			if (device_connected)
				calibrate ();
			break;

		case CONFIG_ID:
			show_main_window_config ();
			break;

		case HELP_ID:
			show_help (0);
			break;

		case MENU_ENABLE_ID:
			set_menu_disabled (FALSE);
			break;

		case MENU_DISABLE_ID:
			set_menu_disabled (TRUE);
			break;
	}
}
